aboutsummaryrefslogtreecommitdiff
path: root/.local/share
diff options
context:
space:
mode:
Diffstat (limited to '.local/share')
-rwxr-xr-x.local/share/bin/brightness29
1 files changed, 29 insertions, 0 deletions
diff --git a/.local/share/bin/brightness b/.local/share/bin/brightness
new file mode 100755
index 0000000..c1c6139
--- /dev/null
+++ b/.local/share/bin/brightness
@@ -0,0 +1,29 @@
+#!/bin/sh
+case "$*" in
+ +*) action="+" ;;
+ -*) action="-" ;;
+ *) action="=" ;;
+esac
+value="$(echo "$*" | tr -dc '[[:digit:]]')"
+
+if [ -n "$(command -v xbacklight)" ] ; then
+ [ "$action" = "+" ] && action="-inc"
+ [ "$action" = "-" ] && action="-dec"
+ [ "$action" = "=" ] && action="-set"
+
+ fork xbacklight -time 100 -fps 60 $action $value
+
+ exit 0
+
+elif [ -n "$(command -v ddcutil)" ] ; then
+ [ "$action" = "=" ] && action=""
+
+ for bus in 2 3 ; do
+ fork ddcutil --bus="$bus" --skip-ddc-checks --noverify setvcp 10 $action $value
+ done
+
+ exit 0
+
+fi
+exit 1
+